Subject: Re: draft-voyer-6man-extension-header-insertion

From: "C. M. Heard" <[email-masked]>
Date: Wed, 29 Nov 2017 22:42:01 -0800

The following comments, initially made against the -00 version of this
document, remain unaddressed in the -01 and -02 versions. Please see
https://tools.ietf.org/html/draft-voyer-6man-extension-header-insertion-02#section-3
for the most recent text.

On Wed, May 24, 2017 at 9:46 AM, C. M. Heard <[email-masked]> wrote:
> First, it still is not clear to me why it is considered decisively
> advantageous to add the outer IPv6 header at the ingress to the SR domain
> (node 1) and then insert the SRH at the intermediate that detects the link
> failure (node 2) instead of just doing the encapsulation at the
> intermediate node itself. An explanation would help. If it requires
> consideration of other use cases to make that case, you may want to consider
> adding one or more of those use cases to the draft.
>
> Second, suppose that a second link failure is detected at node 4 (see
> https://tools.ietf.org/html/draft-voyer-6man-extension-header-insertion-00#section-3).
> If that triggers SRH insertion because of fast reroute, then there will
> be two SRH's in the packet, which would make it malformed. To avoid this
> problem, it seems to me that node 4 would need to rebuild the existing SRH,
> encapsulate the packet in another outer IPv6 header, or else drop the packet.
> By analogy with how fast protection switching works in transport NEs, I
> understand that protecting agains multiple link failures may be out of scope,
> but even so, multiple link failures should not result in malformed packets.
>
> Looking forward to further discussion.
>
> Mike Heard